Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 147378 (IT_65082) - makefiles strip debug symbols from autofs binaries before debuginfo package is built
Summary: makefiles strip debug symbols from autofs binaries before debuginfo package i...
Keywords:
Status: CLOSED ERRATA
Alias: IT_65082
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Moyer
QA Contact: Brock Organ
URL:
Whiteboard: RHEL3U7NAK
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2005-02-07 18:55 UTC by Neil Horman
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0459
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:42:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch to remove stripping from build Makefiles (deleted)
2005-02-07 18:56 UTC, Neil Horman
no flags Details | Diff
Add a make option to not strip binaries. (deleted)
2006-04-05 17:28 UTC, Jeff Moyer
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0459 normal SHIPPED_LIVE autofs bug fix update 2006-07-19 18:47:00 UTC

Description Neil Horman 2005-02-07 18:55:20 UTC
Description of problem:
The autofs package makefiles include strip commands to remove debug
information from built package binaries, instead of allowing rpm to do
the stripping.  This results in a debuginfo package that contains
stripped binaries, making them useless

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.install the autofs-4.1-3 (or any autofs) debuginfo package
2.run file on /usr/lib/debug/usr/sbin/automount.debug
3.
  
Actual results:
file reports that binary file is stripped

Expected results:
file should not be stripped

Additional info:

Comment 1 Neil Horman 2005-02-07 18:56:53 UTC
Created attachment 110737 [details]
patch to remove stripping from build Makefiles

This patch removes the stripping stage from the Makefile.rules makefile used to
build autofs.  This allows rpmbuild to generate a symboled debuginfo package
and still produce a stripped distribution package.

Comment 2 Jeff Moyer 2005-02-07 18:58:43 UTC
Yeah. this has been bugging me for a while, but I haven't gotten
around to fixing it yet.  Thanks for doing the work!

-Jeff

Comment 3 Neil Horman 2005-02-07 19:01:08 UTC
No worries, happy to help!

Comment 12 Jeff Moyer 2005-10-19 19:24:09 UTC
Given that I can debug most any problem with the automounter through the logging
facility, I'm NAKing this fix for this round of updates.  There is no real need
for this functionality.  Having said that, I would accept patches which
implement this.

Comment 15 Jeff Moyer 2006-04-05 17:22:35 UTC
For testing, you should be able to install the autofs and autofs-debuginfo
packages, and run:
$ gdb /usr/sbin/automount

At the gdb prompt, issue the following commands.  If you get the output listed
here, then the debuginfo packages are useful.

(gdb) whatis ap
type = struct autofs_point
(gdb) p (struct autofs_point) ap
$2 = {path = 0x0, pipefd = 0, ioctlfd = 0, dev = 0, maptype = 0x0, type = 0, 
  exp_timeout = 0, exp_runfreq = 0, ghost = 0, exp_process = 0, mounts = 0x0, 
  lookup = 0x0, state = ST_INIT, state_pipe = {0, 0}, dir_created = 0}


Comment 16 Jeff Moyer 2006-04-05 17:28:05 UTC
Created attachment 127359 [details]
Add a make option to not strip binaries.

This patch adds the ability to specify "DONTSTRIP=1" on the make command line,
in order to keep the build process from stripping binaries.  The .spec file
needs to be modified to use this option in the %build section.

Comment 17 Bob Johnson 2006-04-11 15:56:49 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.

Comment 18 Jeff Moyer 2006-04-13 19:36:11 UTC
A fix for this problem was committed in autofs-4.1.3-176.

Comment 21 Red Hat Bugzilla 2006-07-20 14:42:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0459.html



Note You need to log in before you can comment on or make changes to this bug.